Opened 6 years ago

Last modified 20 months ago

#10985 new defect

maxima interface doesn't work well with big python ints

Reported by: mderickx Owned by: was
Priority: major Milestone: sage-6.4
Component: interfaces Keywords:
Cc: Merged in:
Authors: Reviewers:
Report Upstream: N/A Work issues:
Branch: Commit:
Dependencies: Stopgaps:

Description (last modified by chapoton)

sage: x < (10r**10r)
x < 10000000000
sage: maxima(_)
x<10000000000
sage: x < (10r**100r)
x < 10000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000L
sage: maxima(_)
---------------------------------------------------------------------------
TypeError                                 Traceback (most recent call last)

/Users/maarten/<ipython console> in <module>()

/Applications/Sage-4.6.1-OSX-64bit-10.6.app/Contents/Resources/sage/local/lib/python2.6/site-packages/sage/interfaces/expect.pyc in __call__(self, x, name)
   1095             return cls(self, x, name=name)
   1096         try:
-> 1097             return self._coerce_from_special_method(x)
   1098         except TypeError:
   1099             raise

/Applications/Sage-4.6.1-OSX-64bit-10.6.app/Contents/Resources/sage/local/lib/python2.6/site-packages/sage/interfaces/expect.pyc in _coerce_from_special_method(self, x)
   1119             s = '_gp_'
   1120         try:
-> 1121             return (x.__getattribute__(s))(self)
   1122         except AttributeError:
   1123             return self(x._interface_init_())

/Applications/Sage-4.6.1-OSX-64bit-10.6.app/Contents/Resources/sage/local/lib/python2.6/site-packages/sage/symbolic/expression.so in sage.symbolic.expression.Expression._maxima_ (sage/symbolic/expression.cpp:3640)()

/Applications/Sage-4.6.1-OSX-64bit-10.6.app/Contents/Resources/sage/local/lib/python2.6/site-packages/sage/structure/sage_object.so in sage.structure.sage_object.SageObject._interface_ (sage/structure/sage_object.c:3459)()

/Applications/Sage-4.6.1-OSX-64bit-10.6.app/Contents/Resources/sage/local/lib/python2.6/site-packages/sage/interfaces/expect.pyc in __call__(self, x, name)
   1093             
   1094         if isinstance(x, basestring):
-> 1095             return cls(self, x, name=name)
   1096         try:
   1097             return self._coerce_from_special_method(x)

/Applications/Sage-4.6.1-OSX-64bit-10.6.app/Contents/Resources/sage/local/lib/python2.6/site-packages/sage/interfaces/expect.pyc in __init__(self, parent, value, is_name, name)
   1520             except (TypeError, KeyboardInterrupt, RuntimeError, ValueError), x:
   1521                 self._session_number = -1
-> 1522                 raise TypeError, x
   1523         self._session_number = parent._session_number
   1524 

TypeError: Error executing code in Maxima
CODE:
sage2 : x < 10000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000L$
Maxima ERROR:

stdin:2586:incorrect syntax: l is not an infix operator
000000000000000000L$
                  ^

sage: 

Change History (5)

comment:1 Changed 4 years ago by jdemeyer

  • Milestone changed from sage-5.11 to sage-5.12

comment:2 Changed 3 years ago by vbraun_spam

  • Milestone changed from sage-6.1 to sage-6.2

comment:3 Changed 3 years ago by vbraun_spam

  • Milestone changed from sage-6.2 to sage-6.3

comment:4 Changed 3 years ago by vbraun_spam

  • Milestone changed from sage-6.3 to sage-6.4

comment:5 Changed 20 months ago by chapoton

  • Description modified (diff)
Note: See TracTickets for help on using tickets.